KAsyncIO class Reference (kdecore Library)

| # kdecore Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KAsyncIO Class Reference

Asynchronous I/O Support Asynchronous I/O support. More...

`#include <kasyncio.h>`

Inheritance diagram for KAsyncIO:

[legend]
Collaboration diagram for KAsyncIO:

[legend]
List of all members.

## Signals
void | readyRead ()
| This signal gets sent when the device is ready for reading.
void | readyWrite ()
| This signal gets sent when the device is ready for writing.
## Public Member Functions
virtual void | enableRead (bool enable)=0
| Toggles the emission of the readyRead() signal whenever the device is ready for reading.
virtual void | enableWrite (bool enable)=0
| Toggles the emission of the readyWrite() signal whenever the device is ready for writing.
## Protected Member Functions
virtual void | virtual_hook (int id, void *data)

## Detailed Description

Asynchronous I/O Support Asynchronous I/O support.

This abstract class provides basic functionality for asynchronous I/O support on top of QIODevice.

Author:
  Thiago Macieira <thiagom@mail.com>

Version:
  Id
    kasyncio.h,v 1.5 2002/09/08 14:59:59 tjansen Exp

Definition at line 40 of file kasyncio.h.

## Member Function Documentation

virtual void KAsyncIO::enableRead | ( | bool | enable | ) | `[pure virtual]`

  | Toggles the emission of the readyRead() signal whenever the device is ready for reading. This is useful if you want to know the first time the device is ready for reading and you don't want to read it now. Parameters:
  true | to enable, false to disable the readyRead() signal
Implemented in KExtendedSocket.

virtual void KAsyncIO::enableWrite | ( | bool | enable | ) | `[pure virtual]`

  | Toggles the emission of the readyWrite() signal whenever the device is ready for writing. This is useful if you want to know the first time the device is ready for writing and you don't want to write to it now. Parameters:
  true | to enable, false to disable the readyWrite() signal
Implemented in KExtendedSocket.

void KAsyncIO::readyRead | ( |  | ) | `[signal]`

| This signal gets sent when the device is ready for reading.

void KAsyncIO::readyWrite | ( |  | ) | `[signal]`

| This signal gets sent when the device is ready for writing.

The documentation for this class was generated from the following files:

- kasyncio.h
- kasyncio.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 12:47:16 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001